.TH asmail 0.50 "3 Nov 1996" asmail
.UC
.SH NAME
\fBasmail\fP \- AfterStep Mail
.SH SYNOPSIS
.B asmail \fP[file] [options ...]\fP
.SH DESCRIPTION
The \fBasmail\fP is a "mail-checker" like xbiff, but with the Afterstep look & feel. It indicates the status of your mailbox. It can be put in the Wharf, execute program on incoming mail, execute program on mouse click, show XPM icon's, show animations and more...
.SH FILE
But default \fBasmail\fP uses ~/.asmailrc as configuration file, but if want to use another file you just specify the name on the command-line.
.RE

.SH OPTIONS
.IP "\fB-help\fP"
.RS	
Prints a help message
.RE
.IP "\fB-geometry\fP <geom>"
.RS
Specifies the geometry of the \fBasmail\fP window.
.RE
.IP "\fB-display\fP <disp>"
.RS
Specifies the display to use.
.RE
.IP "\fB-title\fP <string>"
.RS
Specifies the title string of the \fBasmail\fP window.
.RE
.IP "\fB-name\fP <string>"
.RS
Specifies the client instance, icon and title string of the \fBasmail\fP window.
.RE

.SH CONFIGURATION FILE
Here is a list of the keywords that can be used in the configuration file.
.RE
.IP "\fBNoBeep\fP"
.RS	
Do not signal when new mail is found.
.RE
.IP "\fBNoShape\fP"
.RS	
Truns off shaped window. Shaped window is often usefull if your would like to place \fBasmail\fP in your Wharf.
.RE
.IP "\fBLockShape\fP"
.RS	
Use this option if all icons have the same shape and size, this will save some CPU time if you are using animations.
.RE
.IP "\fBMailFile\fP"

.RE	
        <mailfile>
        <...>
.RE
.IP "\fBEnd\fP"
.RS
Specifies which mailfile(s) to use. If this option is left out $MAIL will be used.
.RE
.IP "\fBUpdate\fP <sec>"
.RS
Specifies the update frequency. Default is 5 seconds.
.RE
.IP "\fBExecute\fP <program>"
.RS
Specifies the program to execute when left mousebutton click is invoked on the \fBasmail\fP window.
.RE
.IP "\fBNewMailExecute\fP <program>"
.RS
Specifies the program to execute when new mail is found.
.RE
.IP "\fBAlwaysNewMailExecute\fP"
.RS
Always execute when new mail is found. 
If this option is revomed asmail will only execute when new mail is found when the status is changed from "nomail/oldmail" to "newmail".
.RE
.IP "\fBExecuteOnUpdate\fP <program>"
.RS
This option is useful if you want to "pop" your mail from a mailserver. Asmail will execute a specified program (i.e. popclient, get_mail, ...) just before every update of the mailbox status.
.RE
.IP "\fBNumOfMsgMode\fP <mode>"
.RS
With this option you can get asmail to display the number of messages and/or new messages in the mailbox. This option can not be used if you monitor more then one mailfile. 
.RE
       Mode can be set to:
.RE
       0 = Disable feature (default)
.RE
       1 = NumOfNewMail/NumOfMail
.RE
       2 = NumOfNewMail
.RE
       3 = NumOfMail
.RE
.IP "\fBNumOfMsgPosition\fP <x> <y>"
.RS
Position of the text, must be inside the icon mask.
.RE
.IP "\fBNumOfMsgFont\fP"
.RS
Font to use.
.RE
.IP "\fBTimeStampMode\fP"
.RS
This option is useful if you are using utilities like procmail. Asmail will change status to "New Mail" when the time-stamp of the last modification of the mailfile is changed.
.RE
.IP "\fBAnimationSpeed\fP <nomail> <oldmail> <newmail>"
.RS
Sets the delay between two images in an animation.
.RE

.IP "\fBNoMail\fP / \fBOldMail\fP / \fBNewMail\fP"

.RE
       <xpm-icon>
       <...>
.RE
.IP "\fBEnd\fP"
.RS
Assign icons and/or animations. Just list the icons in the order you want them to be shown. If you don't wnat an animation just list one icon and if you want to use the \fBasmail\fP default icons leave this option out.
.RE
.IP "\fB#\fP"
.RS
Comment.
.RE

.SH EXAMPLES
Here is an example of how to start \fBasmail\fP from the command line. It will use myconfig.asmailrc for configuration instead of ~/.asmailrc.
.nf

asmail myconfig.asmailrc &
	
.fi
Here is an example of how to start \fBasmail\fP from \fBafterstep\fP and put it in the Wharf. Place the following line in your \fI.steprc\fP file in your home directory.
.nf

*Wharf - - Swallow "asmail" asmail &

.fi

Here is an example of a configuration file.
.nf

#########################################################
# .asmailrc - asmail configuration file                 #
#########################################################

NoBeep
MailFile 
	/var/spool/mail/per
	/home/per/mail/mbox
End
Update 1
Execute xterm -T Pine -e pine -i &
NewMailExecute cat message.au > /dev/audio &
AlwaysNewMailExecute
AnimationSpeed  10	10	5
LockShape

NoMail  
	/usr/include/X11/pixmaps/nomail1.xpm	
	/usr/include/X11/pixmaps/nomail2.xpm	
	/usr/include/X11/pixmaps/nomail3.xpm	
End

OldMail  	
	/usr/include/X11/pixmaps/oldmail1.xpm	
	/usr/include/X11/pixmaps/oldmail2.xpm	
	/usr/include/X11/pixmaps/oldmail3.xpm	
End

NewMail  
	/usr/include/X11/pixmaps/newmail1.xpm	
	/usr/include/X11/pixmaps/newmail2.xpm	
	/usr/include/X11/pixmaps/newmail3.xpm	
End

.fi

.SH COPYRIGHT
This program is Copyright (c) 1996 by Per Liden.
Distributed under GNU GPL v2 ; see LICENSE file for more informations.
.SH AUTHOR
Per Liden 
.RE
per@oden.rsn.hk-r.se
.RE
http://oden.rsn.hk-r.se/~per
.SH SPECIAL THANKS TO
Stephan K. Zitz (zitz@io.com)
.RE
Gyula Matics (mgyula@eik.bme.hu)
.RE
Steve Martin (smartin@henge.com)
.RE
Christopher Seawood (cseawood@qualcomm.com)








