/* Please don't change version number !! */

#define VERSION "1.4.0"

/* Directories where AfterStep lives & expects to find */

#define SAVEWINDOWS     "~/GNUstep/Library/AfterStep/.windows"
#define AFTER_DIR	"~/GNUstep/Library/AfterStep"
#define AFTER_SHAREDIR	"/usr/share/afterstep"
#define AFTER_BPMDIR	"/usr/X11R6/include/X11/bitmaps"
#define AFTER_XPMDIR	"/usr/X11R6/include/X11/pixmaps"
#define AFTER_MODULEDIR "/usr/X11R6/bin"

/***************************************************************************
 * #define HELPCOMMAND
 *
 * How will you get your help when right-clicking on extreme left button ?
 * If you don't like this default, you can use xless, xman ...
 ***************************************************************************/

#define HELPCOMMAND     "xterm -e man"

/***************************************************************************
 * #define NO_ICON_BACKGROUND
 *
 * Don't want background behind iconifyied windows & allow icon > than 64x64 ?
 * Very nice looking, but not very nexitish !
 ****************************************************************************/

/*#define NO_ICON_BACKGROUND*/

/***************************************************************************
 * #define DIFFERENTLOOKNFEELFOREACHDESKTOP
 *
 * Restart automagically with a different look & feel each time you change
 * desktop (i.e. with Pager, not by circulating windows !)
 * Not recommended on slow or multiusers machines !
 ***************************************************************************/

/*#define DIFFERENTLOOKNFEELFOREACHDESKTOP*/

/***************************************************************************
 * #define NO_WARP_POINTER_TO_MENU
 *
 * If you don't want your mouse pointer to be automatically put in the center
 * of a menu title when you open it
 ***************************************************************************/

#define NO_WARP_POINTER_TO_MENU

/***************************************************************************
 * #define NO_SAVEWINDOWS
 *
 * If you don't want windows still opened when you close your session to be
 * reopened next time you start, define this.
 */

/*#define NO_SAVEWINDOWS*/

/***************************************************************************
 * #define NO_MAKESTARTMENU
 *
 * If you don't want start menu to be rebuilt every time you start afterstep
 * but rather edit it by hand. Not recommended at all !
 ***************************************************************************/

/*#define NO_MAKESTARTMENU*/

/***************************************************************************
 * #define NO_TEXTURE
 *
 * If you don't like gradients, uncomment this
 * For icons gradients, define NO_ICON_BACKGROUND too !!!
 ***************************************************************************/

/*#define NO_TEXTURE*/

/***************************************************************************
 * #define NO_SHADE
 *
 * If you do not want shade to be animated, uncomment this
 ***************************************************************************/

/*#define NO_SHADE*/

/***************************************************************************
 * #define NO_VIRTUAL
 *
 * Omits the virtual desktop but Pager module won't work !
 ***************************************************************************/

/*#define NO_VIRTUAL*/

/***************************************************************************
 * #define NO_SAVEUNDERS 
 *
 * Tells the WM not to request save unders for pop-up menus.
 * A quick test using monochrome X11 shows that save unders cost about 4Kbytes
 * RAM, but saves a lot of window redraws if you have windows that take a while
 * to refresh. For xcolor, I assume the cost is more like :
 *  4Kbytesx8 = 32kbytes (256 color).
 ***************************************************************************/

/*#define NO_SAVEUNDERS*/

/***************************************************************************
 * #define NO_WINDOWLIST 
 *
 *   Causes built-in window-list (started on right clicking root window) to be
 *   omitted.
 *   The window-list module WinList can be used instead but it's slower !
 ***************************************************************************/

/*#define NO_WINDOWLIST*/

/***************************************************************************
 * #define XPM
 *
 * If you want color icons, specify #define XPM, and get libXpm
 * For monochrome, Xpm icons still work, but they're only better than regular
 * bitmaps because they're shaped (if you specify #define SHAPE).
 ***************************************************************************/

#define XPM
#define XPMLIBRARY -L/usr/X11R6/lib -lXpm

/***************************************************************************
 * #define NO_SHAPE
 *
 * If you don't want the Shaped window extensions, #define NO_SHAPE
 *  Shaped window extensions seem to increase the window managers RSS
 *  by about 60 Kbytes. They provide for leaving a title-bar on the window
 *  without a border.
 *  If you dont use shaped window extension, you can either make your shaped
 *  windows undecorated, or live with a border and backdrop around all
 *  your shaped windows (oclock, xeyes)
 *  If you normally use a shaped window (xeyes or oclock), you might as
 *  well compile this extension in, since the memory cost is  minimal in
 *  this case (The shaped window shared libs will be loaded anyway. If you
 *  don't normally use a shaped window, you have to decide for yourself
 ***************************************************************************/

/*#define NO_SHAPE*/

/***************************************************************************
 * Please don't translate the strings into the language which you use for your
 * pop-up menus since this is default : some decisions about where a function
 * is prohibited (based on mwm-function-hints) is based on a string comparison
 * between the menu item and the strings below
 ***************************************************************************/

#define MOVE_STRING      "move"
#define RESIZE_STRING1   "size"
#define RESIZE_STRING2   "resize"
#define MINIMIZE_STRING  "minimize"
#define MINIMIZE_STRING2 "iconify"
#define MAXIMIZE_STRING  "maximize"
#define CLOSE_STRING1    "close"
#define CLOSE_STRING2    "delete"
#define CLOSE_STRING3    "destroy"
#define CLOSE_STRING4    "quit"

/*##########################################################################*/
/*************************** OS DEPENDANT DEFINES ***************************/
/*##########################################################################*/

#include "os-dependant.h"

/* Really, no one but me should need this */
/* #define BROKEN_SUN_HEADERS */

/* Some logical checks */
#ifdef HAVE_UNAME
#undef HAVE_GETHOSTNAME
#endif

/* Allows gcc users to use inline, doesn't cause problems for others. */
#ifndef __GNUC__
#define  AFTER_INLINE  /* nothing */
#else
#if defined(__GNUC__) && !defined(inline)
#define AFTER_INLINE __inline__
#else
#define AFTER_INLINE inline
#endif /* __GNUC__ && !(inline) */
#endif /* !(__GNUC__) */
